> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Reversal Errors

## Request Errors

The request to the `/payments/{pmt_id}/reversals` endpoint failed. These are the `sub_type` that can be returned.

### `INVALID_REQUEST`

The request body failed basic validation for the specific API endpoint.

### `NOT_FOUND`

The requested resource does not exist.

### `INVALID_REVERSAL_STATUS`

Cannot update Reversal if status is not `pending_approval`.

***

## Resource Errors

Errors set on a Reversal's `error` property for processes that are unsuccessful.

### `14001 – PAYMENT_REVERSAL_INSUFFICIENT_FUNDS`

The Reversal failed due to Account having insufficient funds.

```json theme={null}
{
  "type": "PAYMENT_REVERSAL_FAILED",
  "code": 14001,
  "sub_type": "PAYMENT_REVERSAL_INSUFFICIENT_FUNDS",
  "message": "Payment reversal failed due to insufficient funds from the account."
}
```

***

### `14002 – PAYMENT_UNAUTHORIZED`

The Reversal failed due to a report by the Account holder as unauthorized.

```json theme={null}
{
  "type": "PAYMENT_REVERSAL_FAILED",
  "code": 14002,
  "sub_type": "PAYMENT_REVERSAL_UNAUTHORIZED",
  "message": "Payment reversal failed due to a report by the account holder as unauthorized."
}
```

***

### `14003 – PAYMENT_INVALID_ACCOUNT`

The Reversal failed due to an invalid Account. The Account is either inactive or does not exist.

```json theme={null}
{
  "type": "PAYMENT_REVERSAL_FAILED",
  "code": 14003,
  "sub_type": "PAYMENT_REVERSAL_INVALID_ACCOUNT",
  "message": "Payment reversal failed due to an invalid account."
}
```

***
